import { IBytes, IID3V2Tag } from '../interface';
export default function parseV2Data(bytes: IBytes): false | IID3V2Tag;
/**
 * Calculate the total tag size, but excluding the header size(10 bytes).
 * @param bytes binary bytes.
 */
export declare function calcTagSize(bytes: IBytes): number;
/**
 * Calculate frame size (just content size, exclude 10 bytes header size).
 * @param bytes binary bytes.
 */
export declare function calcFrameSize(bytes: IBytes): number;
